Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

The class provides an abstract base class that represents a network resource or service. Descendant classes combine network connection information to form a connection point to a service.

Identifies a network address. This is an abstract class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily

  One of the values defined in .

  This property is required to be overridden in types derived from .

  The property specifies the addressing scheme that is used by the endpoint's underlying network protocol.

  Gets the address family to which the endpoint belongs.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.EndPoint ``

  As described above.

  The default implementation throws .

  Override this method to return a instance that contains the address information from the specified .

  Use this method to obtain a instance that represents the same network resource or service as the specified .

  This method is required to be overridden in types derived from .

  Creates an instance from a instance.

  A new instance that is initialized from the specified instance.

  The socket address that serves as the endpoint for a connection. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.SocketAddress To be added.

  Serializes endpoint information into a instance.

  A instance that contains the endpoint information.

0